import base64
import unittest

import cv2
from matplotlib import pyplot as plt
from tqdm import tqdm

from tensor_utils.images.image_convertor import ImageConvertor


class ImageTextCutterTest(unittest.TestCase):
    def setUp(self):
        self.image_convertor = ImageConvertor()

    def test_image_to_base64(self):
        for _ in tqdm(range(10000)):
            self.image_convertor.image_to_base64('../asserts/umr.jpg')

    def test_base64_to_image(self):
        img_str = self.image_convertor.image_to_base64('../asserts/umr.jpg')
        for _ in tqdm(range(10000)):
            self.image_convertor.base64_to_image(img_str)
