import unittest

from tensor_utils.images.image_text_cutter import ImageTextCutter, ImageTextCutterPointsModel, ImageTextCutterModel


class ImageTextCutterTest(unittest.TestCase):
    def setUp(self):
        self.image_text_cutter = ImageTextCutter()

    def test_cut_image(self):
        config = []
        points_config = ImageTextCutterPointsModel(
            label='text',
            points=[[405, 571], [235, 574], [231, 523], [403, 522]]
        )

        model = ImageTextCutterModel(
            image_file_path='../asserts/umr.jpg',
            points=[points_config]
        )

        config.append(model)
        for result, label in self.image_text_cutter.cut_image(config):
            print(label)
